Overview

React Stock Chart or Candlestick chart is mostly used in the stock market to represent the high, low, open, and close values of the stock. Supports interactive trackball, crosshair feature to track information on data.


Hollow and filled Candlestick Chart

A filled candlestick is drawn when the stock closes lower than the opening price, representing the open price at the top and close price at the bottom.


Multi series

Use multi-series Candlestick to represent two or more data set, each data set representing high, low, open, and close values.


Combination for Candlestick with another chart

Use line and column charts along with candle chart to show the close and volume of the data.


Multiple pane

Allows you to render the stock price in different panes of the chart. Visualize the candle values in one pane and the volume in a different pane.


Candle chart with Range selector

You can use the range selector along with financial chart to filter and navigate through a large number of data points.

React Candle chart with Range selector


Bull and bear

Customizable bull and bear colors.


React Stock Chart Code Example

Easily get started with React Stock Chart using a few simple lines of HTML and JS code example as demonstrated below. Also explore our React Stock Chart Example that shows you how to render and configure the chart.

<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>
import {AxisModel,CandleSeries,Category,ChartComponent,Inject,SeriesCollectionDirective, SeriesDirective, CandleSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { };
  public data1: any[]= [
    { x: 'Jan', open: 120, high: 160, low: 100, close: 140 },
    { x: 'Feb', open: 150, high: 190, low: 130, close: 170 },
    { x: 'Mar', open: 130, high: 170, low: 110, close: 150 },
    { x: 'Apr', open: 160, high: 180, low: 120, close: 140 },
    { x: 'May', open: 150, high: 170, low: 110, close: 130 },
    { x: 'Jun', open: 120, high: 160, low: 100, close: 140 },
    { x: 'Jul', open: 150, high: 190, low: 130, close: 170 },
    { x: 'Aug', open: 130, high: 170, low: 110, close: 150 },
    { x: 'Sep', open: 160, high: 180, low: 120, close: 140 },
    { x: 'Oct', open: 150, high: 170, low: 110, close: 130 }
];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[CandleSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='Candle'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);

Learning Resources

UG

Candle Chart User Guide

Learn the available options to customize React stock chart.

API

Candle Chart API Reference

Explore the React stock chart APIs.


Explore all Syncfusion React components

Explore over 140+ React UI components featuring established, and production-ready controls built for modern web app development.

Scroll up icon
Syncfusion Feedback

Overview

Angular Stock Chart, also known as the Angular Candlestick Chart is mostly used in the stock market to represent the high, low, open, and close values of the stock. Supports interactive trackball, crosshair feature to track information on data.


Hollow and filled Candlestick Chart

A filled Angular Candlestick Chart is drawn when the stock closes lower than the opening price, representing the open price at the top and close price at the bottom.


Multi series

Use multi-series Candlestick to represent two or more data set, each data set representing high, low, open, and close values.


Combination for Candlestick with another chart

Use line and column chart along with candle chart to show the close and volume of the data.


Multiple pane

Allows you to render the stock price in different panes of the chart. Visualize the candle values in one pane and the volume in a different pane.


Candle chart with Range selector

You can use the range selector along with financial chart to filter and navigate through a large number of data points.

Candle chart with Range selector


Bull and bear

Customizable bull and bear colors.


Angular Stock Chart Code Example

Easily get started with Angular Stock Chart using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Stock Chart Example that shows you how to render and configure the chart.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='Candle' xName='x' high='high' low='low' open='open' close='close'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
    { x: 'Jan', open: 120, high: 160, low: 100, close: 140 },
    { x: 'Feb', open: 150, high: 190, low: 130, close: 170 },
    { x: 'Mar', open: 130, high: 170, low: 110, close: 150 },
    { x: 'Apr', open: 160, high: 180, low: 120, close: 140 },
    { x: 'May', open: 150, high: 170, low: 110, close: 130 },
    { x: 'Jun', open: 120, high: 160, low: 100, close: 140 },
    { x: 'Jul', open: 150, high: 190, low: 130, close: 170 },
    { x: 'Aug', open: 130, high: 170, low: 110, close: 150 },
    { x: 'Sep', open: 160, high: 180, low: 120, close: 140 },
    { x: 'Oct', open: 150, high: 170, low: 110, close: 130 }
];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { CandleSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ CategoryService, CandleSeriesService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Candle Chart User Guide

Learn the available options to customize Angular Stock Chart.

API

Candle Chart API Reference

Explore the Angular Stock Chart APIs.


140+ ANGULAR UI COMPONENTS

Scroll up icon
Syncfusion Feedback